scala.tools.nsc.transform.TailCalls

# TailPosLabelsTraverser

#### class TailPosLabelsTraverser extends Global.Traverser

Source
  TailCalls.scala

Linear Supertypes
Global.Traverser, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TailPosLabelsTraverser
2. Traverser
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TailPosLabelsTraverser()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from TailPosLabelsTraverser to any2stringadd[TailPosLabelsTraverser] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (TailPosLabelsTraverser, B)

   Implicit information
     This member is added by an implicit conversion from TailPosLabelsTraverser to ArrowAssoc[TailPosLabelsTraverser] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def apply[T <: Global.Tree](tree: T): T

   Definition Classes
     Traverser

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def atOwner(owner: Global.Symbol)(traverse: ⇒ Unit): Unit

   Definition Classes
     Traverser

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### var currentOwner: Global.Symbol

    Attributes
      protected[scala]
    Definition Classes
      Traverser

11. #### def ensuring(cond: (TailPosLabelsTraverser) ⇒ Boolean, msg: ⇒ Any): TailPosLabelsTraverser

    Implicit information
      This member is added by an implicit conversion from TailPosLabelsTraverser to Ensuring[TailPosLabelsTraverser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (TailPosLabelsTraverser) ⇒ Boolean): TailPosLabelsTraverser

    Implicit information
      This member is added by an implicit conversion from TailPosLabelsTraverser to Ensuring[TailPosLabelsTraverser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): TailPosLabelsTraverser

    Implicit information
      This member is added by an implicit conversion from TailPosLabelsTraverser to Ensuring[TailPosLabelsTraverser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): TailPosLabelsTraverser

    Implicit information
      This member is added by an implicit conversion from TailPosLabelsTraverser to Ensuring[TailPosLabelsTraverser] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from TailPosLabelsTraverser to StringFormat[TailPosLabelsTraverser] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

26. #### val tailLabels: HashSet[Global.Symbol]

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### def traverse(tree: Global.Tree): Unit

    Definition Classes
      TailPosLabelsTraverser → Traverser

29. #### def traverse(tree: Global.Tree, maybeTailNew: Boolean): Unit

30. #### def traverseAnnotations(annots: List[Global.Tree]): Unit

    Definition Classes
      Traverser

31. #### def traverseCases(cases: List[Global.CaseDef]): Unit

    Definition Classes
      Traverser

32. #### def traverseConstant(c: Global.Constant): Unit

    Definition Classes
      Traverser

33. #### def traverseGuard(guard: Global.Tree): Unit

    Definition Classes
      Traverser

34. #### def traverseImportSelector(sel: Global.ImportSelector): Unit

    Definition Classes
      Traverser

35. #### def traverseModifiers(mods: Global.Modifiers): Unit

    Definition Classes
      Traverser

36. #### def traverseName(name: Global.Name): Unit

    Definition Classes
      Traverser

37. #### def traverseNoTail(tree: Global.Tree): Unit

38. #### def traverseParams(params: List[Global.Tree]): Unit

    Definition Classes
      Traverser

39. #### def traverseParamss(vparamss: List[List[Global.Tree]]): Unit

    Definition Classes
      Traverser

40. #### def traverseParents(parents: List[Global.Tree]): Unit

    Definition Classes
      Traverser

41. #### def traversePattern(pat: Global.Tree): Unit

    Definition Classes
      Traverser

42. #### def traverseSelfType(self: Global.ValDef): Unit

    Definition Classes
      Traverser

43. #### def traverseStats(stats: List[Global.Tree], exprOwner: Global.Symbol): Unit

    Definition Classes
      Traverser

44. #### def traverseTrees(trees: List[Global.Tree]): Unit

    Definition Classes
      Traverser

45. #### def traverseTreesNoTail(trees: List[Global.Tree]): Unit

46. #### def traverseTreess(treess: List[List[Global.Tree]]): Unit

    Definition Classes
      Traverser

47. #### def traverseTypeArgs(args: List[Global.Tree]): Unit

    Definition Classes
      Traverser

48. #### def traverseTypeAscription(tpt: Global.Tree): Unit

    Definition Classes
      Traverser

49. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### def →[B](y: B): (TailPosLabelsTraverser, B)

    Implicit information
      This member is added by an implicit conversion from TailPosLabelsTraverser to ArrowAssoc[TailPosLabelsTraverser] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Global.Traverser

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from TailPosLabelsTraverser to any2stringadd[TailPosLabelsTraverser]

### Inherited by implicit conversion StringFormat from TailPosLabelsTraverser to StringFormat[TailPosLabelsTraverser]

### Inherited by implicit conversion Ensuring from TailPosLabelsTraverser to Ensuring[TailPosLabelsTraverser]

### Inherited by implicit conversion ArrowAssoc from TailPosLabelsTraverser to ArrowAssoc[TailPosLabelsTraverser]

### Ungrouped